OpenCV: cv::ocl::KernelArg Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::ocl::KernelArg Class Reference
Core functionality » OpenCL support

`#include "ocl.hpp"`

## Public Types
enum | { LOCAL =1, READ_ONLY =2, WRITE_ONLY =4, READ_WRITE =6, CONSTANT =8, PTR_ONLY = 16, NO_SIZE =256 }

## Public Member Functions
| KernelArg (int _flags, UMat *_m, int wscale=1, int iwscale=1, const void *_obj=0, size_t _sz=0)
| KernelArg ()

## Static Public Member Functions
static KernelArg | Constant (const Mat &m)
template<typename _Tp >
static KernelArg | Constant (const _Tp *arr, size_t n)
static KernelArg | Local ()
static KernelArg | PtrReadOnly (const UMat &m)
static KernelArg | PtrReadWrite (const UMat &m)
static KernelArg | PtrWriteOnly (const UMat &m)
static KernelArg | ReadOnly (const UMat &m, int wscale=1, int iwscale=1)
static KernelArg | ReadOnlyNoSize (const UMat &m, int wscale=1, int iwscale=1)
static KernelArg | ReadWrite (const UMat &m, int wscale=1, int iwscale=1)
static KernelArg | ReadWriteNoSize (const UMat &m, int wscale=1, int iwscale=1)
static KernelArg | WriteOnly (const UMat &m, int wscale=1, int iwscale=1)
static KernelArg | WriteOnlyNoSize (const UMat &m, int wscale=1, int iwscale=1)

## Public Attributes
int | flags
int | iwscale
UMat * | m
const void * | obj
size_t | sz
int | wscale

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
LOCAL |
READ_ONLY |
WRITE_ONLY |
READ_WRITE |
CONSTANT |
PTR_ONLY |
NO_SIZE |

## Constructor & Destructor Documentation

## ◆ KernelArg() [1/2]

cv::ocl::KernelArg::KernelArg | ( | int | _flags,
|  | UMat * | _m,
|  | int | wscale = `1`,
|  | int | iwscale = `1`,
|  | const void * | _obj = `0`,
|  | size_t | _sz = `0`
| ) |  |

## ◆ KernelArg() [2/2]

cv::ocl::KernelArg::KernelArg | ( |  | ) |

## Member Function Documentation

## ◆ Constant() [1/2]

static KernelArg cv::ocl::KernelArg::Constant | ( | const Mat & | m | ) |
| static

## ◆ Constant() [2/2]

template<typename _Tp >

static KernelArg cv::ocl::KernelArg::Constant | ( | const _Tp * | arr,
|  | size_t | n
| ) |  |
| inlinestatic

## ◆ Local()

static KernelArg cv::ocl::KernelArg::Local | ( |  | ) |
| inlinestatic

## ◆ PtrReadOnly()

static KernelArg cv::ocl::KernelArg::PtrReadOnly | ( | const UMat & | m | ) |
| inlinestatic

## ◆ PtrReadWrite()

static KernelArg cv::ocl::KernelArg::PtrReadWrite | ( | const UMat & | m | ) |
| inlinestatic

## ◆ PtrWriteOnly()

static KernelArg cv::ocl::KernelArg::PtrWriteOnly | ( | const UMat & | m | ) |
| inlinestatic

## ◆ ReadOnly()

static KernelArg cv::ocl::KernelArg::ReadOnly | ( | const UMat & | m,
|  | int | wscale = `1`,
|  | int | iwscale = `1`
| ) |  |
| inlinestatic

## ◆ ReadOnlyNoSize()

static KernelArg cv::ocl::KernelArg::ReadOnlyNoSize | ( | const UMat & | m,
|  | int | wscale = `1`,
|  | int | iwscale = `1`
| ) |  |
| inlinestatic

## ◆ ReadWrite()

static KernelArg cv::ocl::KernelArg::ReadWrite | ( | const UMat & | m,
|  | int | wscale = `1`,
|  | int | iwscale = `1`
| ) |  |
| inlinestatic

## ◆ ReadWriteNoSize()

static KernelArg cv::ocl::KernelArg::ReadWriteNoSize | ( | const UMat & | m,
|  | int | wscale = `1`,
|  | int | iwscale = `1`
| ) |  |
| inlinestatic

## ◆ WriteOnly()

static KernelArg cv::ocl::KernelArg::WriteOnly | ( | const UMat & | m,
|  | int | wscale = `1`,
|  | int | iwscale = `1`
| ) |  |
| inlinestatic

## ◆ WriteOnlyNoSize()

static KernelArg cv::ocl::KernelArg::WriteOnlyNoSize | ( | const UMat & | m,
|  | int | wscale = `1`,
|  | int | iwscale = `1`
| ) |  |
| inlinestatic

## Member Data Documentation

## ◆ flags

int cv::ocl::KernelArg::flags

## ◆ iwscale

int cv::ocl::KernelArg::iwscale

## ◆ m

UMat* cv::ocl::KernelArg::m

## ◆ obj

const void* cv::ocl::KernelArg::obj

## ◆ sz

size_t cv::ocl::KernelArg::sz

## ◆ wscale

int cv::ocl::KernelArg::wscale

The documentation for this class was generated from the following file:

- core/include/opencv2/core/ocl.hpp